vnc4: vnc4server: libvnc.so crashes Xorg 1.4 on remote keypress or mouseclick

Bug #180619 reported by indy2718
40
This bug affects 1 person
Affects Status Importance Assigned to Milestone
vnc4 (Debian)
Fix Released
Unknown
vnc4 (Ubuntu)
Undecided
Unassigned
Nominated for Hardy by Bill Loucks
Nominated for Intrepid by Bill Loucks

Bug Description

Binary package hint: vnc4server

I have the latest hardy as of 1/05/2008

ii vnc4server 4.1.1+xorg1.0.2-0ubuntu6 Virtual network computing server software
ii xorg 1:7.3+9ubuntu2 X.Org X Window System
ii xserver-xorg 1:7.3+9ubuntu2 the X.Org X server
ii xserver-xorg-core 2:1.4.1~git20071212-1ubuntu2 Xorg X server - core server
ii xserver-xorg-dev 2:1.4.1~git20071212-1ubuntu2 Xorg X server - development files
ii xserver-xorg-input-all 1:7.3+9ubuntu2 the X.Org X server -- input driver metapacka
ii xserver-xorg-input-evdev 1:1.2.0-1 X.Org X server -- evdev input driver
ii xserver-xorg-input-kbd 1:1.2.2-3ubuntu1 X.Org X server -- keyboard input driver
ii xserver-xorg-input-mouse 1:1.2.3-2 X.Org X server -- mouse input driver

indy@antec:/home/indy$ uname -a
Linux antec 2.6.23.12-custom #1 SMP PREEMPT Sun Dec 23 13:15:04 EST 2007 x86_64 GNU/Linux

Two computers: one with the vnc module in the Xorg server. The other I used xvnc4viewer to connect to it:
 xvnc4viewer antec:0

The icons on the top panel do not respond to mouse clicks, but the menu does. I open a terminal and press a key, the X server with the vnc module will crash with:
:
(**) Configured Mouse: Emulate3Buttons, Emulate3Timeout: 50
(**) Option "ZAxisMapping" "4 5"
(**) Configured Mouse: ZAxisMapping: buttons 4 and 5
(**) Configured Mouse: Buttons: 9
(**) Configured Mouse: Sensitivity: 1
(II) evaluating device (Configured Mouse)
(II) XINPUT: Adding extended input device "Configured Mouse" (type: MOUSE)
(II) evaluating device (Generic Keyboard)
(II) XINPUT: Adding extended input device "Generic Keyboard" (type: KEYBOARD)
(II) Configured Mouse: ps2EnableDataReporting: succeeded

Backtrace:
0: /usr/bin/X11/X(xf86SigHandler+0x6a) [0x483d5a]
1: /lib/libc.so.6 [0x2aeb4a768100]
2: /usr/lib/xorg/modules/extensions//libvnc.so(_ZN14XserverDesktop8keyEventEjb+0x8b) [0x2aeb4cd1838b]
3: /usr/lib/xorg/modules/extensions//libvnc.so(_ZN3rfb16VNCSConnectionST8keyEventEjb+0x103) [0x2aeb4cd2f213]
4: /usr/lib/xorg/modules/extensions//libvnc.so(_ZN3rfb16VNCSConnectionST15processMessagesEv+0x30) [0x2aeb4cd2f300]
5: /usr/lib/xorg/modules/extensions//libvnc.so(_ZN14XserverDesktop13wakeupHandlerEP6fd_seti+0xf6) [0x2aeb4cd17c06]
6: /usr/lib/xorg/modules/extensions//libvnc.so [0x2aeb4cd0fdd9]
7: /usr/bin/X11/X(WakeupHandler+0x4e) [0x4526ee]
8: /usr/bin/X11/X(WaitForSomething+0x204) [0x560e04]
9: /usr/bin/X11/X(Dispatch+0x9a) [0x44e8aa]
10: /usr/bin/X11/X(main+0x47d) [0x436c1d]
11: /lib/libc.so.6(__libc_start_main+0xf4) [0x2aeb4a7541c4]
12: /usr/bin/X11/X(FontFileCompleteXLFD+0x279) [0x435f59]

Fatal server error:
Caught signal 11. Server aborting

My xorg.conf
# xorg.conf (xorg X Window System server configuration file)
#
# This file was generated by dexconf, the Debian X Configuration tool, using
# values from the debconf database.
#
# Edit this file with caution, and see the xorg.conf manual page.
# (Type "man xorg.conf" at the shell prompt.)
#
# This file is automatically updated on xserver-xorg package upgrades *only*
# if it has not been modified since the last upgrade of the xserver-xorg
# package.
#
# If you have edited this file but would like it to be automatically updated
# again, run the following command:
# sudo dpkg-reconfigure -phigh xserver-xorg

Section "Files"
EndSection

Section "Module"
   Load "i2c"
   Load "bitmap"
   Load "ddc"
    Load "extmod"
    Load "freetype"
    Load "glx"
    Load "int10"
    Load "vbe"
  Load "vnc"
EndSection

Section "InputDevice"
 Identifier "Generic Keyboard"
 Driver "kbd"
 Option "CoreKeyboard"
 Option "XkbRules" "xorg"
 Option "XkbModel" "pc105"
 Option "XkbLayout" "us"
EndSection

Section "InputDevice"
 Identifier "Configured Mouse"
 Driver "mouse"
 Option "CorePointer"
 Option "Device" "/dev/input/mice"
 Option "Protocol" "ImPS/2"
 Option "ZAxisMapping" "4 5"
 Option "Emulate3Buttons" "true"
EndSection

Section "Device"
 Identifier "nVidia Corporation G80 [GeForce 8800 GTX]"
 Driver "nvidia"
 BusID "PCI:1:0:0"
EndSection

Section "Monitor"
 Identifier "Viewsonic"
 Option "DPMS"
 HorizSync 30-110
 VertRefresh 50-160
EndSection

Section "Screen"
 Identifier "Default Screen"
 Device "nVidia Corporation G80 [GeForce 8800 GTX]"
 Monitor "Generic Monitor"
        Option "TwinView" "0"
 Option "SecurityTypes" "None"
        Option "metamodes" "DFP-0: 1280x1024_75 +0+0; CRT: 1280x1024 +0+0"
 DefaultDepth 24
EndSection

Section "ServerLayout"
 Identifier "Default Layout"
 Screen "Default Screen"
 InputDevice "Generic Keyboard"
 InputDevice "Configured Mouse"

EndSection

Revision history for this message
indy2718 (indy2718) wrote : Re: Xorg module VNC cores on keyboard input

It seems that I did not enable the ubuntu remote desktop. When I did, I attached to :1 display and it worked. Configuration error on my part. It should not core the X server though if you do the process I described.

Changed in vnc4:
status: New → Invalid
Revision history for this message
Rune Evjen (rune-evjen) wrote :

I have the same issue after upgrading to hardy.
Using the vnc module in xorg.conf worked in gutsy.

I use this setup on my mythbuntu based mediacenter, and only have a XFCE desktop installed. This is also how default mythbuntu install enables VNC access.

Shouldn't it be possible to use this configuration ?

Rune Evjen

Revision history for this message
indy2718 (indy2718) wrote :

I reopened it because of Rune.

Changed in vnc4:
status: Invalid → New
Revision history for this message
Rune Evjen (rune-evjen) wrote :

It seems like there is a similar bug reported for Debian in
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=444697

Rune

Revision history for this message
Mario Limonciello (superm1) wrote :

This is caused directly by bug 184225.

Changed in vnc4:
status: New → Confirmed
Revision history for this message
Michael Milligan (milli) wrote :

This directly affects me as well. I can confirm this problem with alpha 5 and latest updates through today for Hardy. I have an amd64 platform (Athlon X2 3800.. dual core) that I'm testing Hardy on.

Revision history for this message
Michael Milligan (milli) wrote :

This bug is not really related to bug 184225. That bug has a simple fix.

From the Debian bug 444697, there apparently is an ABI change in Xorg 1.4 that breaks this. The xorg-xerver bits in this package are too old (1.0.2) to work with 1.4.1 that is in the Hardy xserver-xorg-core package now.

Changed in vnc4:
status: Unknown → Fix Released
Revision history for this message
con (conloos) wrote :

Backtrace:
0: /usr/bin/X(xf86SigHandler+0x7e) [0x80c780e]
1: [0xb7f5f420]
2: /usr/lib/xorg/modules/extensions//libvnc.so(_ZN3rfb16VNCSConnectionST12pointerEventERKNS_5PointEi+0xb6) [0xb7babe46]
3: /usr/lib/xorg/modules/extensions//libvnc.so(_ZN3rfb10SMsgReader16readPointerEventEv+0xda) [0xb7bb4d7a]
4: /usr/lib/xorg/modules/extensions//libvnc.so(_ZN3rfb12SMsgReaderV37readMsgEv+0x15a) [0xb7ba901a]
5: /usr/lib/xorg/modules/extensions//libvnc.so(_ZN3rfb11SConnection10processMsgEv+0xd2) [0xb7ba8932]
6: /usr/lib/xorg/modules/extensions//libvnc.so(_ZN3rfb16VNCSConnectionST15processMessagesEv+0x48) [0xb7bac9f8]
7: /usr/lib/xorg/modules/extensions//libvnc.so(_ZN3rfb11VNCServerST18processSocketEventEPN7network6SocketE+0x3f) [0xb7b9e3df]
8: /usr/lib/xorg/modules/extensions//libvnc.so(_ZN14XserverDesktop13wakeupHandlerEP6fd_seti+0xef) [0xb7b9227f]
9: /usr/lib/xorg/modules/extensions//libvnc.so [0xb7b8a7be]
10: /usr/bin/X(WakeupHandler+0x59) [0x8091719]
11: /usr/bin/X(WaitForSomething+0x1e2) [0x81b1d22]
12: /usr/bin/X(Dispatch+0x8d) [0x808d69d]
13: /usr/bin/X(main+0x48b) [0x807471b]
14: /lib/tls/i686/cmov/libc.so.6(__libc_start_main+0xe0) [0xb7cf1450]
15: /usr/bin/X(FontFileCompleteXLFD+0x201) [0x8073a91]

Fatal server error:
Caught signal 11. Server aborting

the same here ... after upgrade to hardy, i can connect to the server and get the screen, but if i use klick in the screen i get the upper error.
Tested on two PC's.

con

Revision history for this message
con (conloos) wrote :

yes 444697 ist the same problem, i asked a lot uncle google i found that:

http://patches.ubuntu.com/by-release/extracted/debian/v/vnc4/

now its time to wait for a patched version.

Revision history for this message
captive (salvo-schifani) wrote :

same as con.
I get a x crash on any input (mouse click, or keyboard).
Tried to use latest deb package, but it just won't let me log in..

Revision history for this message
robert bowman (bowmanr) wrote :

nothing to add particularly, other than my feisty -> hardy upgrade has introduced this same issue.
all latest updates applied.
my thanks go to those kind souls delving into the source and resolving this.
robert

Revision history for this message
Gourry (marco1981) wrote :

I have exactly the same issue, that was manifested after Ubuntu 7.10 to 8.04 upgrade. The backtrace on my xorg.conf is identical to the one posted by con.
I have opened two weeks ago a post in ubuntu forums ( http://ubuntuforums.org/showthread.php?t=772550 )

Revision history for this message
goblinhack (goblinhack) wrote :

Hi, same problem here - linvnc crashes on the first keystroke,
mouse click

Any workarounds? My linux box is essentially useless now 8(
as I work remotely

tx

Neil

Backtrace:
0: /usr/bin/X(xf86SigHandler+0x7e) [0x80c780e]
1: [0xb7f01420]
2: /usr/lib/xorg/modules/extensions//libvnc.so(_ZN3rfb16VNCSConnectionST8keyEventEjb+0xe9) [0xb72293b9]
3: /usr/lib/xorg/modules/extensions//libvnc.so(_ZN3rfb10SMsgReader12readKeyEventEv+0x103) [0xb7230a33]
4: /usr/lib/xorg/modules/extensions//libvnc.so(_ZN3rfb12SMsgReaderV37readMsgEv+0x12a) [0xb7225aea]
5: /usr/lib/xorg/modules/extensions//libvnc.so(_ZN3rfb11SConnection10processMsgEv+0x10c) [0xb72254ac]
6: /usr/lib/xorg/modules/extensions//libvnc.so(_ZN3rfb16VNCSConnectionST15processMessagesEv+0x48) [0xb72294f8]
7: /usr/lib/xorg/modules/extensions//libvnc.so(_ZN3rfb11VNCServerST18processSocketEventEPN7network6SocketE+0x49) [0xb721ad79]
8: /usr/lib/xorg/modules/extensions//libvnc.so(_ZN14XserverDesktop13wakeupHandlerEP6fd_seti+0xd4) [0xb720f074]
9: /usr/lib/xorg/modules/extensions//libvnc.so [0xb720714c]
10: /usr/bin/X(WakeupHandler+0x59) [0x8091719]
11: /usr/bin/X(WaitForSomething+0x1e2) [0x81b1d22]
12: /usr/bin/X(Dispatch+0x8d) [0x808d69d]
13: /usr/bin/X(main+0x48b) [0x807471b]
14: /lib/tls/i686/cmov/libc.so.6(__libc_start_main+0xe0) [0xb7c99450]
15: /usr/bin/X(FontFileCompleteXLFD+0x201) [0x8073a91]

Revision history for this message
Radu Cornea (raduc) wrote :

Same problem here...

--
Radu.

Revision history for this message
Kriston Rehberg (me-kriston) wrote :

Be advised that Debian bug 444697 "fixes" this bug by REMOVING libvnc.so.
And I quote:
"Removed libvnc.so that do not work with recent xorg. This is a workaround but solves the grave fault, closes: #444697. No longer provides x0vnc-server."

This tacitly suggests that Xorg does not support libvnc.so at this time.
In any case bug 444697 does not solve the problem.
Debian merely removed the feature that fails and closes the bug. It is terribly irresponsible to close the bug after removing the feature that causes the bug from a project management standpoint--the non-working libvnc.so is now orphaned and completely untracked (there is no bug I can find that tracks non-working libvnc.so). The closing of this bug implies it to be fixed when it was not.

For what it's worth, the "vino" remote desktop feature now built-in to the GNOME desktop is worthless to remote users because it only works if the user is already logged in. This is very unfortunately for those of us who rely on libvnc: if you're logged out you cannot log in remotely!! The workaround is a horribly security deficient automatic login prompt bypass using gdm or kdm.

Too bad.

Revision history for this message
goblinhack (goblinhack) wrote :

Can we reopen this bug?

Revision history for this message
Bill Loucks (biloucks) wrote :

Just like others have posted here, my libvnc.so worked fine with xorg in Gutsy but is broken in Hardy. I am having the same problem and getting precisely the same backtrace in Xorg.0.log. PLEASE PLEASE if this bug is not open, then reopen it.

Revision history for this message
con (conloos) wrote :

me too,

please reopen _this bug_.

Revision history for this message
Gourry (marco1981) wrote :

I think that the bug is still open for Ubuntu (and closed for Debian).

But where does exactly libvnc.so comes out from? I mean: its source code is available and can be modified to support newest xorg package or it's a prepackaged closed source binary coming from RealVNC and we should contact them for support?

Revision history for this message
goblinhack (goblinhack) wrote :

It would seem realvnc - and as we aren't paying for this...

no more vnc it seems - sob. back to windows

Revision history for this message
Bill Loucks (biloucks) wrote :

Michael Milligan, would you be willing to post here how to downgrade Xorg in Hardy (and hold at downgraded) if one wishes to do that as a workaround? (Also how to "unhold" after the bug is fixed, if ever.)

Revision history for this message
Rune Evjen (rune-evjen) wrote : Re: [Bug 180619] Re: Xorg module VNC cores on keyboard input
  • unnamed Edit (219 bytes, text/html; charset=ISO-8859-1)

I have switched to the x11vnc package, which works fine with latest Xorg
(though I am not sure if it supports a login manager or if only existing X
user sessions are available).

Regards,

Rune

Revision history for this message
goblinhack (goblinhack) wrote : Re: Xorg module VNC cores on keyboard input

It's slower though - than realvnc libvnc plugin

tx

Neil

Revision history for this message
Michael Milligan (milli) wrote :
Download full text (3.5 KiB)

William, I hope you've used a package management tool other than the new GUI-based system upgrade utility, otherwise this is going to feel like being taught how to run butterfly time trials when you don't know how to swim yet... i.e., you need to know how to drive 'aptitude' in a terminal window.

1) Add this line back into the file /etc/apt/sources.list

deb http://us.archive.ubuntu.com/ubuntu/ gutsy main restricted universe multiverse

2) Then run 'apt-get update', to refresh your sources. (NOTE: If you are not root, you will need to prepend all commands with 'sudo', that is, 'sudo apt-get update'.) Next, _save your Xorg config_. Copy /etc/X11/xorg.conf to your home directory or someplace safe.

3) Run 'aptitude' in a command-line window, preferably a console window (i.e., hit CTRL-ALT-F1). Don't have it? Then 'apt-get install aptitude' first.

(Aside: Before anybody piles on me for not using 'synaptic', this can be a bit tricky because we're going to be playing with X11 packages here. Synaptics is a GUI that runs in X11... won't be able to do that if it's broken, so you _will_ need to know how to do this from command-line.)

4) Look at the package list. Type "/". In the search box, type "^xserver-xorg$". Hit return. You should now have a list of stuff starting with _xserver-xorg_, with the top one selected. Hit v. Move down one line and select the version "1:7.2-5ubuntu13". Hit + and then q.

5) Move down one line to xerver-xorg-core. Hit v. Select 2:1.3.0.0.dfsg-12ubuntu8. Hit +. Hit q. Notice now that there are 43 (or more) BROKEN packages. You have to fix these by downgrading them.

6) Hit b to go to the first broken package. Hit v to see the versions. In most cases, there's only one other choice. Select the other version and hit +. If the red capital B goes away, then you're good. If not, pick another older version till the B goes away. Hit q to get out. Rinse and repeat for all the broken packages.

7) Hit g (twice) to go get the older packages and install them. Will take a while.

8) Hopefully you didn't have any install errors. At this point you need to restart X. This is where you really really want to be on the console, so CTRL+ALT+F1 now if you didn't already. In that window, login and type 'sudo /etc/init.d/gdm stop' (I assume you're using Gnome.) This will stop the Gnome display manager and also stop all X instances. Type 'ps axf | grep X' to make sure they are all dead. Then, restart gdm... 'sudo /etc/init.d/gdm start'. You should get your login prompt back (if it was working under Hardy, then it should work again under Gutsy bits...) Login to X.

8a) If the screen flickers a couple times then gives you an error screen, then something is wrong and you need to fix something in your X config, possibly install or reinstall a driver or something (I could only guess... there are a lot of things that could go wrong). CTRL+ALT+F1 to get back to your console. Then look at the file /var/log/Xorg.0.log. Look for EE for clues...

9) If the last step (8) work well, then you should now be able to connect via VNC again without it crashing.

10) If you want, fire back up 'aptitude' and go back in a...

Read more...

Revision history for this message
Bill Loucks (biloucks) wrote :

What is the status of Debian Bug 444697? Is it opened or closed or something else? I've read its thread (not well enough, I guess) at http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=444697 , and I sent an e-mail to <email address hidden> but the e-mail bounced back (SMTP; 550 unknown user).

I have an utter lack of experience with how Debian bugs are reported, confirmed, escalated, assigned, and fixed, and beyond that, how fixed Debian bugs are propagated to the latest (now Hardy) Ubuntu release, and how that process can be escalated.

I understand that those who know the code have stated that the fix is non-trivial, but how do we all (and whoever else relies heavily on libvnc.so) go about escalating this bug, and is escalation even possible? Or is the bug closed and in need of being reopened?

Are there alternatives? What about the libvnc.so that's in xf4vnc?

Who made the decision to include a pre-release version of the X server 1.4 in Hardy? (a silly question at this point, I guess, since it's too late to change it).

Revision history for this message
Bill Loucks (biloucks) wrote :

I am in contact with a developer who might (no promises) be willing to adopt the Debian bug (or I guess it would be a new bug since the Debian bug was "fixed" by removing libvnc.so from the package).

Revision history for this message
Bill Loucks (biloucks) wrote :

I nominated this bug for Hardy and Intrepid. This is the first time I have nominated anything. I have no idea what nominating means will happen next; anyone who does, please let me know. Can someone explain what happens when we have a scenario like we have here, where the Ubuntu bug 180619 is the result of a Debian bug (444697) which was closed (by Ola) by updating the package to no longer include libvnc.so? Does this mean the Ubuntu bug might as well be closed because libvnc.so will never be fixed?

Revision history for this message
Bill Loucks (biloucks) wrote :

Please see below for a vnc.so from Steinar H. Gunderson which works (for me) with Xorg 1.4.
I'd like to invite all of you to try it too.
Eventually, someone who has the necessary Debian binary packaging skills can hopefully volunteer to package this.

-------- Original Message --------
Subject: Re:Debian Bug 444697 vnc4server: segfaults on key press with newer X.org
From: Bill Loucks
To: Steinar H. Gunderson
Date: Mon Jun 30 2008 11:55:56 GMT-0700 (MST)

Steinar,

Your vnc.so works for me, with Xorg 1.4, to gain access to the native X console's gdmgreeter login screen.

Thank you so, so much.

Most Sincerely,
Bill Loucks

-------- Original Message --------
Subject: Re:Debian Bug 444697 vnc4server: segfaults on key press with newer X.org
From: Steinar H. Gunderson
To: Bill Loucks
Date: Mon Jun 30 2008 11:23:46 GMT-0700 (MST)

On Mon, Jun 30, 2008 at 09:46:23AM -0700, Bill Loucks wrote:
Do I understand correctly that you have a vnc.so which, when loaded by Xorg
1.4, does not crash Xorg on first keypress or first mouse click by the vnc
client? If so, could you send that vnc.so to me, and/or make it available
somewhere for download?

I haven't been using it a while, since I switched to x0vncserver, but you
could try http://home.samfundet.no/~sesse/vnc.so, which seems to be a binary
I built on October 1st 2007. :-)

/* Steinar */

Revision history for this message
Bill Loucks (biloucks) wrote :

I spoke too soon. Steinar's vnc.so worked fine on the first Hardy machine I tested. However, on a second machine (running Hardy just like the first), it did not crash Xorg, BUT the vncviewer screen looked like my attachment here (see attachment).

Revision history for this message
Bill Loucks (biloucks) wrote :

Not yet fixed in Debian. libvnc.so has disappeared from the -22 version of the Debian package.

Revision history for this message
Bill Loucks (biloucks) wrote : Re: vnc4server: libvnc.so crashes Xorg 1.4 on remote keypress or mouseclick

More information on the second machine on which I tried Steinar's vnc.so: that machine has an Nvidia graphics card and was using the open-source free Nvidia driver. I changed it to use the proprietary Nvidia driver, and thereafter, it also works fine with Steinar's vnc.so (no striated-looking screen in the vncviewer like I posted above in the Screenshot_VNC_x11.png image). Also, I had forgotten to mention that the first machine on which I tried Steinar's vnc.so has an ATI graphics card and was using the proprietary ATI driver before I ever tried Steinar's vnc.so. It would be nice if I could interest any of you in trying Steinar's vnc.so, in order to get much more testing of it (as a workaround). However, I realize the upstream source still needs to be fixed.

Revision history for this message
Bill Loucks (biloucks) wrote :

Using Steinar's libvnc.so, occasionally when Firefox attempts to display some types of content, Xorg will die (but gdmgreeter successfully "restarts").

The Xorg log shows:

Backtrace:
0: /usr/bin/X(xf86SigHandler+0x7e) [0x80c780e]
1: [0xb7ee4420]

Fatal server error:
Caught signal 11. Server aborting

So, even Steinar's libvnc.so has problems, despite the fact that he said in the Debian bug log that his libvnc.so was a working libvnc.so.

Revision history for this message
Bill Loucks (biloucks) wrote :

New bug created to replace this one: 247669

Changed in vnc4:
status: Confirmed → Invalid
Revision history for this message
Ben (abnormaliti) wrote :

Red Hat have patches in this bug: https://bugzilla.redhat.com/show_bug.cgi?id=282661

Revision history for this message
Bill Loucks (biloucks) wrote :

On September 30, 2008, Mike Milligan wrote to me saying, "Neither one of those patches [in Red Hat Bug 282661] appear to address the INPUT module ABI change that is the problem in Ubuntu/Debian. With Hope in my back pocket, I did pull the RealVNC 4.1.2 source and tried to build it on Intrepid, but there are a ton of problems with it. I've also in the past tried to build xf4vnc, but that also has a ton of build problems related to Xorg 1.4 restructuring. I just don't have time to deal with this, the build issues are more than just "tweaks", much as I'd like to get it working too. I'm just using vino-server in the meantime, which suites my needs."

Revision history for this message
Bill Loucks (biloucks) wrote :

The duplicate of this bug, Ubuntu Bug 247669, had its status changed on Jan 20, 2009 to "Fix Released in vnc4 (Fedora)": As an Ubuntu 8.04 Hardy user, I'd like to know when the Fedora fix will be put into Ubuntu 8.04 (Hardy) and Ubuntu 8.10 (Intrepid).

Revision history for this message
Bill Loucks (biloucks) wrote :

TigerVNC ( http://www.tigervnc.com/ ) appears to be doing exactly what we need: providing a libvnc.so which works with the newer modular Xorg versions (1.4 and higher). TigerVNC is planned for release with Fedora Core 11. Let's just hope we can interest some Ubuntu developers in building it against Ubuntu 8.04 "Hardy" and 8.10 "Intrepid" and 9.04 "Jaunty".

Revision history for this message
Bill Loucks (biloucks) wrote :

Adam Tkac of Red Hat, Inc. writes: "I think binary packages for [TigerVNC for] Ubuntu will be available when 1.0.0 will be released. Unfortunately I can't guarantee that libvnc.so will be available as well. Situation around libvnc.so is very difficult because it depends on distribution Xorg so the most preferred way how to get libvnc.so working is open the bug report (or RFE, not sure how Ubuntu community calls it). Then your distributor will tune TigerVNC to match distribution Xorg and ship prebuild packages."

Bill Loucks (biloucks)
Changed in vnc4:
status: Invalid → Confirmed
Revision history for this message
JC Hulce (soaringsky) wrote :

This bug has not had any activity in a while and needs a status update. Does anyone still experience this bug? Is libvnc.so still included in Ubuntu?

If Ubuntu has dropped libvnc.so, then please close this bug because it would no longer apply. If you want libvnc.so to be re-added please open a new bug asking for that.

Changed in vnc4 (Ubuntu):
status: Confirmed → Incomplete
Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

indy2718, thank you for reporting this and helping make Ubuntu better. However, Hardy Desktop is EOL, and your crash report is missing. If this is reproducible in a supported release, please follow these instructions to have apport report a new bug about your crash that can be dealt with by the automatic retracer. First, execute at a terminal:
cd /var/crash && sudo rm * ; sudo apt-get update && sudo apt-get -y upgrade && sudo service apport start force_start=1

If you are running the Ubuntu Stable Release you might need to enable apport in /etc/default/apport and restart.

Now reproduce the crash, then open your file manager, navigate to your /var/crash directory and open the crash report you wish to submit.
If this fails you will have to open a terminal and file your report with 'ubuntu-bug /var/crash/_my_crash_report.crash' where _my_crash_report.crash is the crash you would like to report. If you get an error that you aren't allowed to access this report you will have to file it with 'sudo ubuntu-bug /var/crash/_my_crash_report.crash'. If you run the command against the crash report and a window pops up asking you to report this, but then never opens a new report, you would be affected by https://bugs.launchpad.net/ubuntu/+source/apport/+bug/994921 . In order to WORKAROUND this, one would need to open the following file via a command line:
sudo nano /etc/apport/crashdb.conf

and comment out the line:
'problem_types': ['Bug', 'Package'],

by changing it to:
# 'problem_types': ['Bug', 'Package'],

Save, close, and try to file the crash report again via:
ubuntu-bug /var/crash/_my_crash_report.crash

I'm closing this bug report since the process outlined above will automatically open a new bug report which can then dealt with more efficiently.

Please feel free to subscribe me to this new report.

Also, please do not attach your crash report manually to this report and reopen it.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

Changed in vnc4 (Ubuntu):
status: Incomplete → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.